// MFCBasicsView.cpp : Implementierung der Klasse CMFCBasicsView
//

#include "stdafx.h"
#include "MFCBasics.h"

#include "MFCBasicsDoc.h"
#include "MFCBasicsView.h"
#include ".\mfcbasicsview.h"
#include "MFCBasicsDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMFCBasicsView

IMPLEMENT_DYNCREATE(CMFCBasicsView, CFormView)

BEGIN_MESSAGE_MAP(CMFCBasicsView, CFormView)
	ON_BN_CLICKED(IDC_BUTTON_EDIT, OnBnClickedButtonEdit)
END_MESSAGE_MAP()

// CMFCBasicsView Erstellung/Zerstrung

CMFCBasicsView::CMFCBasicsView()
	: CFormView(CMFCBasicsView::IDD)
{
	// TODO: Hier Code zum Erstellen einfgen

}

CMFCBasicsView::~CMFCBasicsView()
{
}

void CMFCBasicsView::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
}

BOOL CMFCBasicsView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: ndern Sie hier die Fensterklasse oder die Darstellung, indem Sie
	//  CREATESTRUCT cs modifizieren.

	return CFormView::PreCreateWindow(cs);
}

void CMFCBasicsView::OnInitialUpdate()
{
	CFormView::OnInitialUpdate();
	GetParentFrame()->RecalcLayout();
	ResizeParentToFit();
}


// CMFCBasicsView Diagnose

#ifdef _DEBUG
void CMFCBasicsView::AssertValid() const
{
	CFormView::AssertValid();
}

void CMFCBasicsView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}

CMFCBasicsDoc* CMFCBasicsView::GetDocument() const // Nicht-Debugversion ist inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMFCBasicsDoc)));
	return (CMFCBasicsDoc*)m_pDocument;
}
#endif //_DEBUG


// CMFCBasicsView Meldungshandler

void CMFCBasicsView::OnUpdate(CView* /*pSender*/, LPARAM /*lHint*/, CObject* /*pHint*/)
{
	// TODO: Add your specialized code here and/or call the base class
	((CEdit *) this->GetDlgItem (IDC_EDIT_TEXT))->SetWindowText ( this->GetDocument ()->GetText());
}

void CMFCBasicsView::OnBnClickedButtonEdit()
{
	// TODO: Add your control notification handler code here

	MFCBasicsDialog* dialog = new MFCBasicsDialog(this);
	dialog->m_Text = this->GetDocument()->GetText();
	if (dialog->DoModal () == IDOK)
	{
		this->GetDocument()->SetText ( dialog->m_Text);
		//Beim UpdateAllViews NULL bergeben, damit auch
		//unser Fenster sein Update bekommt.
		this->GetDocument()->UpdateAllViews (NULL);
	}
	//Speicher wieder freigeben.
	delete dialog;
}
